package com.cxytiandi.job_demo.esjob;

import java.util.Arrays;
import java.util.List;
import com.dangdang.ddframe.job.api.ShardingContext;
import com.dangdang.ddframe.job.api.dataflow.DataflowJob;

public class MyElasticJob implements DataflowJob<String>{

	@Override
	public List<String> fetchData(ShardingContext shardingContext) {
		return Arrays.asList("上海", "北京");
	}

	@Override
	public void processData(ShardingContext shardingContext, List<String> data) {
		for (String city : data) {
			System.err.println(city);
		}
	}

}
